%define name	primer3
%define version 1.1.1
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	PCR reactions primers identification
Group:		Sciences/Biology
License:	BSD like
URL:		http://primer3.sourceforge.net/
Source:		http://downloads.sourceforge.net/primer3/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
Primer3 is a complete rewrite of the original PRIMER program
(Primer 0.5), written by Steve Lincoln, Mark Daly, and Eric
Lander.

Primer3 picks primers for PCR reactions, considering as criteria:
- oligonucleotide melting temperature, size, GC content,
  and primer-dimer possibilities
- PCR product size
- positional constraints within the source sequence
- miscellaneous other constraints
All of these criteria are user-specifiable as constraints, and
some are specifiable as terms in an objective function that
characterizes an optimal primer pair.

%prep
%setup -q -n %{name}-%{version}
chmod 644  COPYING.txt README.txt example

%build
cd src && %make CFLAGS="$RPM_OPT_FLAGS" LIBOPTS=""

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{_bindir}
install -m 755 src/primer3_core %{buildroot}%{_bindir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING.txt README.txt example src/release_notes.txt
%{_bindir}/primer3_core



%changelog
* Mon Aug 06 2007 Eric Fernandez <zeb@mandriva.org> 1.1.1-1mdv2008.0
+ Revision: 59287
- update version 1.1.1


* Fri Jun 23 2006 Eric Fernandez <zeb@zebulon.org.uk> 1.0.0-2mdv2007.0
- rebuild

* Mon Apr 25 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.0-1mdk
- New release 1.0.0
- spec cleanup

* Thu Jul 22 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.9-2mdk 
- rpmbuildupdate aware

* Sat Jan 24 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.9-1mdk
- first mdk release, fater a spec file stolen from Luc Ducazu <luc@biolinux.org>

